classification
Title: test_asyncio fails on Android upon calling getaddrinfo()
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner, xdegaye, yselivanov
Priority: normal Keywords: patch

Created on 2016-10-30 16:52 by xdegaye, last changed 2019-10-22 20:05 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
getaddrinfo.patch xdegaye, 2016-10-30 16:52 review
Messages (5)
msg279731 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-10-30 16:52
The error:
======================================================================
ERROR: test_create_connection_service_name (test.test_asyncio.test_base_events.BaseEventLoopWithSelectorTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/unittest/mock.py", line 1179, in patched
    return func(*args, **keywargs)
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/test/test_asyncio/test_base_events.py", line 1209, in test_create_connection_service_name
    t, p = self.loop.run_until_complete(coro)
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/asyncio/base_events.py", line 449, in run_until_complete
    return future.result()
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/concurrent/futures/thread.py", line 55, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/sdcard/org.bitbucket.pyona/lib/python3.7/socket.py", line 743, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 9] servname not supported for ai_socktype


The same error occurs also in issue 26936.
msg266362 lists the conditions under which getaddrinfo() fails on Android.

With this patch, the test succeeds on both Android API levels 21 and 23 (there is no level 22).
msg306669 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-11-21 17:00
test_create_connection_service_name does not fail on android-24-x86_64.
msg355044 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-21 10:28
Is the test still failing on the master branch of Python? Is the patch still needed?
msg355132 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2019-10-22 15:04
According to my last post on this issue 2 years ago, this test "does not fail on android-24-x86_64". This means that it does not fail on API level 24. IMO the issue may be closed.
msg355146 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-22 20:05
Ok, thanks Xavier. If someone has an issue with test_asyncio on Android, either reopen this issue or open a new issue ;-)
History
Date User Action Args
2019-10-22 20:05:59vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg355146

stage: patch review -> resolved
2019-10-22 15:04:46xdegayesetmessages: + msg355132
2019-10-21 10:28:07vstinnersetnosy: + vstinner
messages: + msg355044
2017-11-21 17:00:24xdegayesetmessages: + msg306669
2016-10-30 16:57:53xdegayelinkissue26865 dependencies
2016-10-30 16:52:43xdegayecreate